Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PImage
Name | ### resize()
Examples |
    PImage img = loadImage("jelly.jpg");
    image(img, 0, 0);
    img.resize(100, 50);
    image(img, 0, 0);
    PImage img = loadImage("jelly.jpg");
    image(img, 0, 0);
    img.resize(0, 50);
    image(img, 0, 0);
Description | Resize the image to a new width and height. To make the image scale proportionally, use 0 as the value for the wide or high parameter.
Syntax |
    img.resize(wide, high)
Parameters |
img | PImage: any variable of type PImage
wide | int: the resized image width
high | int: the resized image height
Returns | void
Usage | Web & Application
Related | get()

Updated on August 30, 2010 04:29:39pm EDT